
Figure - Bug #118862
【AF】【EVT3】开机自启动哔哩哔哩加载失败，需要手动刷新一下才显示正常
2023-06-20 16:40 - 物联网测试组_CDTS  唐霞 

Status: NEED_INFO Start date: 2023-06-20

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105(X105).202306200207

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause:

Description

【测试步骤】

设备上电开机

【预期结果】

开机完成后自启动哔哩哔哩

【测试结果】

哔哩哔哩启动后页面加载失败，需要手动刷新一下才显示正常

History

#1 - 2023-06-20 22:18 - CD TPM-王祥林

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2023-06-21 11:50 - CD APP-王营

- Status changed from New to ASSIGNED

【状态】

方案确认中

【分析】

哔哩哔哩的首页数据展示依赖网络，启动过早副屏网络没有准备好则无法加载内容，针对此情况给出以下方案：

方案1、延迟哔哩哔哩启动时间，当前在Launcher中延迟1秒启动，为保证哔哩哔哩在网络状态良好情况下启动，需要在Launcher中监听网络状态，当网络

畅通时候启动B站。

风险：体验不好，一个问题是延迟时间可能会很长，另一个问题是可能在延时的过程中用户打开其他应用后B站忽然自动启动了。

方案2、由B站修改做出优化，在B站主界面进行一个Loading，检测到网络畅通后自动刷新展示内容，不显示重试按钮。Loading超时时间可视情况而定，

时间太久也可以再次展示重试按钮。

方案3、保持当前状态，用户手动点击重试刷新数据。

【下一步】

确认方案，推荐方案2实现方式

#3 - 2023-06-21 15:27 - CD APP-王营

- Assignee changed from CD APP-王营 to CD TPM-王祥林
#4 - 2023-06-25 14:17 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

release版本先不做B站开机启动，DB版本先保持现状，把版本给客户等确认效果后再看怎么处理。

#5 - 2023-06-30 17:11 - 物联网测试组_CDTS  唐霞 

- Category set to CD-FW

#6 - 2023-08-24 16:03 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

#7 - 2023-11-08 15:55 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

开机自启动B站，这个功能已经明确不搭载了

请帮忙关闭此票，谢谢
